package com.hotent.portal.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 首页布局对象
 * @company 广州宏天软件股份有限公司
 * @author zhangxianwen
 * @email zhangxw@jee-soft.cn
 * @date 2021年1月14日
 */
@ApiModel(value="首页布局对象")
public class IndexLayoutVo {
	
	public static final String TYPE_SYS= "sys";
	public static final String TYPE_PERSONAL= "personal";

	@ApiModelProperty(name="type",notes="布局类型：sys（系统），personal（个人）")
	private String type;
	
	@ApiModelProperty(name="id",notes="布局id")
	private String id;
	
	@ApiModelProperty(name="name",notes="布局名称")
	private String name;
	
	@ApiModelProperty(name="alias",notes="布局别名")
	private String alias;
	
	@ApiModelProperty(name="designHtml",notes="布局设计内容")
	private String designHtml;
	
	@ApiModelProperty(name="isDef",notes="是否系统默认布局（0：否，1：是）")
	private Short isDef;
	
	@ApiModelProperty(name="layoutType",notes="布局类型(0:管理端  1:手机端 2:应用端)")
	private Short layoutType;
	
	@ApiModelProperty(name="dataType",notes="数据类型：column（栏目），datav（大屏）")
	private String dataType;
	
	public IndexLayoutVo() {}
	
	public IndexLayoutVo(String type,String id,String name,String alias,String designHtml,Short isDef,Short layoutType,String dataType) {
		this.type = type;
		this.id = id;
		this.name = name;
		this.alias = alias;
		this.designHtml = designHtml;
		this.isDef = isDef;
		this.layoutType = layoutType;
		this.dataType = dataType;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAlias() {
		return alias;
	}

	public void setAlias(String alias) {
		this.alias = alias;
	}

	public String getDesignHtml() {
		return designHtml;
	}

	public void setDesignHtml(String designHtml) {
		this.designHtml = designHtml;
	}

	public Short getIsDef() {
		return isDef;
	}

	public void setIsDef(Short isDef) {
		this.isDef = isDef;
	}

	public Short getLayoutType() {
		return layoutType;
	}

	public void setLayoutType(Short layoutType) {
		this.layoutType = layoutType;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

}
